org.keycloak.connections.infinispan

## Class DefaultInfinispanConnectionProvider

- java.lang.Object
- - org.keycloak.connections.infinispan.DefaultInfinispanConnectionProvider

- All Implemented Interfaces:
    InfinispanConnectionProvider, Provider

      public class DefaultInfinispanConnectionProvider
      extends Object
      implements InfinispanConnectionProvider

  Author:
    Stian Thorgersen

- - ### Field Summary

    - ### Fields inherited from interface org.keycloak.connections.infinispan.InfinispanConnectionProvider

      `ACTION_TOKEN_CACHE, ACTION_TOKEN_CACHE_DEFAULT_MAX, ACTION_TOKEN_MAX_IDLE_SECONDS, ACTION_TOKEN_WAKE_UP_INTERVAL_SECONDS, AUTHENTICATION_SESSIONS_CACHE_NAME, AUTHORIZATION_CACHE_NAME, AUTHORIZATION_REVISIONS_CACHE_DEFAULT_MAX, AUTHORIZATION_REVISIONS_CACHE_NAME, CLIENT_SESSION_CACHE_NAME, JBOSS_NODE_NAME, JBOSS_SITE_NAME, JGROUPS_UDP_MCAST_ADDR, JMX_DOMAIN, KEYS_CACHE_DEFAULT_MAX, KEYS_CACHE_MAX_IDLE_SECONDS, KEYS_CACHE_NAME, LOGIN_FAILURE_CACHE_NAME, NODE_PREFIX, OFFLINE_CLIENT_SESSION_CACHE_NAME, OFFLINE_USER_SESSION_CACHE_NAME, REALM_CACHE_NAME, REALM_REVISIONS_CACHE_DEFAULT_MAX, REALM_REVISIONS_CACHE_NAME, USER_CACHE_NAME, USER_REVISIONS_CACHE_DEFAULT_MAX, USER_REVISIONS_CACHE_NAME, USER_SESSION_CACHE_NAME, WORK_CACHE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultInfinispanConnectionProvider(org.infinispan.manager.EmbeddedCacheManager cacheManager, RemoteCacheProvider remoteCacheProvider, TopologyInfo topologyInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `<K,V> org.infinispan.Cache<K,V>` | `getCache(String name)`
    `<K,V> org.infinispan.client.hotrod.RemoteCache<K,V>` | `getRemoteCache(String cacheName)` Get remote cache of given name.
    `TopologyInfo` | `getTopologyInfo()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultInfinispanConnectionProvider

          public DefaultInfinispanConnectionProvider(org.infinispan.manager.EmbeddedCacheManager cacheManager,
                                                     RemoteCacheProvider remoteCacheProvider,
                                                     TopologyInfo topologyInfo)

  - ### Method Detail

    - #### getCache

          public <K,V> org.infinispan.Cache<K,V> getCache(String name)

      Specified by:
        `getCache` in interface `InfinispanConnectionProvider`

    - #### getRemoteCache

          public <K,V> org.infinispan.client.hotrod.RemoteCache<K,V> getRemoteCache(String cacheName)

      Description copied from interface: `InfinispanConnectionProvider`
      Get remote cache of given name. Could just retrieve the remote cache from the remoteStore configured in given infinispan cache and/or alternatively return the secured remoteCache (remoteCache corresponding to secured hotrod endpoint)
      Specified by:
        `getRemoteCache` in interface `InfinispanConnectionProvider`

    - #### getTopologyInfo

          public TopologyInfo getTopologyInfo()

      Specified by:
        `getTopologyInfo` in interface `InfinispanConnectionProvider`
      Returns:
        Information about cluster topology

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.